%define snap	0
%define rel	1

%define major	1
%define libname	%mklibname vdpau %{major}
%define devname	%mklibname vdpau -d
%define tracename %mklibname vdpau-trace

%define build_doc 0

Summary:	Video Decode and Presentation API for Unix
Name:		libvdpau
Version:	1.4
%if %snap
Release:	%mkrel 1.%{snap}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
License:	MIT
Group:		System/Libraries
URL:		http://www.nvnews.net/vbulletin/showthread.php?t=123091
%if %{snap}
# rm -rf libvdpau && git clone git://anongit.freedesktop.org/~aplattner/libvdpau && cd libvdpau/
# git archive --prefix=libvdpau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libvdpau-$(date +%Y%m%d).tar.xz
Source0:	libvdpau-%{snap}.tar.xz
%else
#Source0:	http://people.freedesktop.org/~aplattner/vdpau/libvdpau-%{version}.tar.bz2
Source0:	https://gitlab.freedesktop.org/vdpau/libvdpau/-/archive/%{version}/libvdpau-%{version}.tar.bz2
%endif
# Make flash player detection work on opera and konqueror
Patch3:         libvdpau-workaround-flashplayer-konq-opera.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
%if %{build_doc}
# for apidoc:
BuildRequires:	tetex 
BuildRequires:	graphviz 
BuildRequires:	doxygen
%endif

%description
The Video Decode and Presentation API for Unix (VDPAU) provides a
complete solution for decoding, post-processing, compositing, and
displaying compressed or uncompressed video streams. These video
streams may be combined (composited) with bitmap content, to
implement OSDs and other application user interfaces.

Only the proprietary NVIDIA driver supports this interface so far.

%package -n	%{libname}
Summary:	VDPAU shared library
Group:		System/Libraries

%description -n %{libname}
The Video Decode and Presentation API for Unix (VDPAU) wrapper shared
library. This library is responsible for loading the hardware-specific
VDPAU driver.

%package -n	%{tracename}
Summary:	VDPAU tracing module for debugging
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}

%description -n %{tracename}
VDPAU tracing module libvdpau_trace.so for debugging VDPAU.

%package -n	%{devname}
Summary:	VDPAU development headers
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	vdpau-devel = %{version}-%{release}

%description -n %{devname}
This package contains the VDPAU headers for developing software that
uses VDPAU.

%prep
%if %{snap}
%setup -q -n %{name}-%{snap}
%else
%setup -q
%endif

%autopatch -p1

%build
%meson \
%if ! %{build_doc}
  -Ddocumentation=false
%endif
%meson_build 

%install
%meson_install
# (anssi) unneeded files
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/vdpau/*.{la,so}

%if %{build_doc}
mv %{buildroot}%{_docdir}/libvdpau/html api-html
%endif

%files -n %{libname}
%{_libdir}/libvdpau.so.%{major}{,.*}
%dir %{_libdir}/vdpau

%files -n %{tracename}
# major is the plugin interface version, not %major
%{_libdir}/vdpau/libvdpau_trace.so.*

%files -n %{devname}
%doc AUTHORS
%if %{build_doc}
%doc api-html
%endif
%config %{_sysconfdir}/vdpau_wrapper.cfg
%{_includedir}/vdpau
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc


%changelog
* Wed Apr 15 2020 kekepower <kekepower> 1.4-1.mga8
+ Revision: 1567389
- Update to version 1.4

* Sun Feb 16 2020 umeabot <umeabot> 1.3-4.mga8
+ Revision: 1530483
- Mageia 8 Mass Rebuild

* Thu Aug 29 2019 tv <tv> 1.3-3.mga8
+ Revision: 1435019
- new release

* Fri Mar 01 2019 tv <tv> 1.2-3.mga7
+ Revision: 1370698
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1299209
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 955718
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 tv <tv> 1.1.1-1.mga6
+ Revision: 871731
- new Security release

* Sun Jun 21 2015 tv <tv> 1.1-1.mga6
+ Revision: 837522
- new release
- new release

* Mon Jan 19 2015 tmb <tmb> 0.9-1.mga5
+ Revision: 811387
- update to 0.9 (needed for new nvidia-current Long Lived Branch 346.xx)

* Wed Oct 15 2014 umeabot <umeabot> 0.8-3.mga5
+ Revision: 743304
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-2.mga5
+ Revision: 681837
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 tv <tv> 0.8-1.mga5
+ Revision: 642810
- new release
- switch to bzip2 sources

* Sat Oct 19 2013 umeabot <umeabot> 0.7-2.mga4
+ Revision: 531721
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 0.7-1.mga4
+ Revision: 464780
- 0.7

* Sun Jun 23 2013 luigiwalser <luigiwalser> 0.6-1.mga4
+ Revision: 446001
- 0.6
- fix incorrect underlinking patch
- remove upstreamed automake 1.13 patch

* Sat Jan 12 2013 umeabot <umeabot> 0.5-6.mga3
+ Revision: 358325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.5-5.mga3
+ Revision: 340656
- fix for automake 1.13

* Wed Sep 05 2012 tv <tv> 0.5-4.mga3
+ Revision: 288686
- new release
- drop merged patches
- rediff patch 0

* Sat Jul 28 2012 anssi <anssi> 0.4.1-4.mga3
+ Revision: 275318
- track dynamic library handles and free them on exit (track-handles.patch
  from upstream git)
- workaround some bugs in Adobe Flash Player, including video bleedthrough
  and swapped colors (workaround-flashplayer.patch by Stephen Warren)
- make the workaround work with Konqueror and Opera
  (workaround-flashplayer-konq-opera.patch)

* Mon Dec 12 2011 fwang <fwang> 0.4.1-3.mga2
+ Revision: 180833
- cleanup spec file
+ ahmad <ahmad>
- make building the api-doc condintional and disable it for now (graphviz isn't
  available yet)
- imported package libvdpau

